package com.pcloud.book.guide.mapper;

import com.pcloud.book.guide.entity.PcloudGuideMessage;
import com.pcloud.book.guide.vo.PcloudGuideMessageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface PcloudGuideMessageMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PcloudGuideMessage record);

    int insertSelective(PcloudGuideMessage record);

    PcloudGuideMessage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PcloudGuideMessage record);

    int updateByPrimaryKey(PcloudGuideMessage record);

    void batchInsert(@Param("list") List<PcloudGuideMessage> list);

    void deleteByGuideId(Integer pcloudGuideId);

    List<PcloudGuideMessageVO> listByGuideId(Integer pcloudGuideId);

    List<PcloudGuideMessageVO> listByRobotId(String robotId);
}